package intrinsic.mx.core;

public interface IChildList {

	/** Accessors */
//	public int numChildren;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public int getChildIndex(intrinsic.flash.display.DisplayObject arg0);
public intrinsic.flash.display.DisplayObject getChildAt(int arg0);
public intrinsic.Array getObjectsUnderPoint(intrinsic.flash.geom.Point arg0);
public boolean contains(intrinsic.flash.display.DisplayObject arg0);
public intrinsic.flash.display.DisplayObject removeChild(intrinsic.flash.display.DisplayObject arg0);
public intrinsic.flash.display.DisplayObject getChildByName(String arg0);
public void setChildIndex(intrinsic.flash.display.DisplayObject arg0, int arg1);
public intrinsic.flash.display.DisplayObject addChild(intrinsic.flash.display.DisplayObject arg0);
public intrinsic.flash.display.DisplayObject addChildAt(intrinsic.flash.display.DisplayObject arg0, int arg1);
public intrinsic.flash.display.DisplayObject removeChildAt(int arg0);

}
